require 'sketchup.rb'
require 'extensions.rb'
module CURIC
	module SpinCamera
		PLUGIN = self
		PLUGIN_NAME     = 'Curic Spin Camera'.freeze
		PLUGIN_VERSION  = '1.0.0'.freeze
		unless file_loaded?( __FILE__ )
			ex = SketchupExtension.new( PLUGIN_NAME, 'curic_spin_camera/loader' )
			ex.version     = PLUGIN_VERSION
			ex.copyright   = 'Vo Quoc Hai © 2018–2021'
			ex.creator     = 'Vo Quoc Hai (curic4su@gmail.com)'
			Sketchup.register_extension( ex, true )
		end
	end
end
file_loaded( __FILE__ )
