Sketchup::require("curic_spin_camera/main")

module CURIC
	class << self
    attr_accessor :tools_command
  end
	@tools_command ||= UI.menu("Tools").add_submenu('Curic')
	
	module SpinCamera
	
		file = __FILE__
		unless file_loaded? file
			submenu = CURIC.tools_command.add_submenu("Spin Camera")
			
			tb = UI::Toolbar.new( 'Curic Spin Camera' )
			path_to_resources = File.join(File.dirname(__FILE__), 'Resources')
			
			cmd = UI::Command.new("Spin Camera"){ self.spin() }
			cmd.small_icon = File.join(path_to_resources,"spin.png")
			cmd.large_icon = File.join(path_to_resources,"spin.png")
			cmd.tooltip = "Spin Camera"
			cmd.status_bar_text = "Spin Camera"

			tb.add_item(cmd)
			UI.start_timer(0.1, false){ tb.restore }
			
			submenu.add_item cmd

			file_loaded file
		end
		
  end # module View
end # module CURIC